Group: Engineering
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install /usr/bin/gob2 gcc-c++
# END SourceDeps(oneline)
BuildRequires: chrpath
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		ggobi      
Version:	2.1.7
Release:	alt2_24
Summary:	Open source visualization for exploring high-dimensional data 
License:	GPLv2
URL:		http://www.ggobi.org/
Source0:	http://www.ggobi.org/downloads/ggobi-%{version}.tar.bz2
Source1:	ggobi.desktop
Patch0:		ggobi-2.1.7-format-security.patch
Patch1:		ggobi-2.1.7-configure.patch
BuildRequires:  gcc
BuildRequires:	libxml2-devel gtk-builder-convert gtk-demo libgail-devel libgtk+2-devel, desktop-file-utils, autoconf, automake, libltdl7-devel
Requires:	libgail libgtk+2 libxml2 xml-utils
Source44: import.info

%description
GGobi is an open source visualization program for
exploring high-dimensional data. It provides highly dynamic
and interactive graphics such as tours, as well as familiar
graphics such as the scatterplot, barchart and parallel coordinates plots.
Plots are interactive and linked with brushing and identification.

%package devel
Group: Development/Other
Summary:	Open source visualization for exploring high-dimensional data
Requires:	%{name} = %{version}-%{release}

%description devel
GGobi devel files

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure --with-all-plugins --datadir=%{_libdir} --disable-rpath
%make_build

%install
make install DESTDIR=$RPM_BUILD_ROOT
make ggobirc
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
rm $RPM_BUILD_ROOT%{_libdir}/applications/ggobi.desktop
mv $RPM_BUILD_ROOT%{_libdir}/pixmaps/ggobi.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/ggobi.png

desktop-file-install					\
  --dir $RPM_BUILD_ROOT%{_datadir}/applications		\
  %{SOURCE1}
# kill rpath
for i in `find %buildroot{%_bindir,%_libdir,/usr/libexec,/usr/lib,/usr/sbin} -type f -perm -111 ! -name '*.la' `; do
	chrpath -d $i ||:
done




%files
%doc ABOUT-NLS AUTHORS ChangeLog COPYING CPLicense.txt INSTALL README
%{_bindir}/ggobi
%{_libdir}/*.so.*
%{_libdir}/ggobi
%{_datadir}/pixmaps/ggobi.png
%{_datadir}/applications/*.desktop

%files devel
%{_includedir}/ggobi
%{_libdir}/*.so
%{_libdir}/pkgconfig/ggobi.pc

%changelog
* Fri Jan 15 2021 Igor Vlasenko <viy@altlinux.ru> 2.1.7-alt2_24
- fixed build

* Thu Feb 27 2020 Igor Vlasenko <viy@altlinux.ru> 2.1.7-alt1_24
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 2.1.7-alt1_22
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 2.1.7-alt1_21
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 2.1.7-alt1_20
- update to new release by fcimport

* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 2.1.7-alt1_19
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 2.1.7-alt1_18
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 2.1.7-alt1_16
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 2.1.7-alt1_15
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 2.1.7-alt1_14
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 2.1.7-alt1_13
- update to new release by fcimport

* Thu Aug 22 2013 Igor Vlasenko <viy@altlinux.ru> 2.1.7-alt1_10
- update to new release by fcimport

* Sat Apr 13 2013 Igor Vlasenko <viy@altlinux.ru> 2.1.7-alt1_9
- update to new release by fcimport

* Mon Mar 11 2013 Igor Vlasenko <viy@altlinux.ru> 2.1.7-alt1_8
- update to new release by fcimport

* Fri Jan 11 2013 Igor Vlasenko <viy@altlinux.ru> 2.1.7-alt1_7
- initial fc import

